be.fgov.ehealth.aa.complextype.v1

## Class PrincipalType

- java.lang.Object
- - be.fgov.ehealth.aa.complextype.v1.PrincipalType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:39:09+02:00",
                 comments="JAXB RI v2.2.11")
      public class PrincipalType
      extends Object
      implements Serializable

  Name, identifier and isAliveStatus of legal person.

  Java class for PrincipalType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PrincipalType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Subtype" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrincipalType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getStatus()` Gets the value of the status property.
    `String` | `getSubtype()` Gets the value of the subtype property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setStatus(String value)` Sets the value of the status property.
    `void` | `setSubtype(String value)` Sets the value of the subtype property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrincipalType

          public PrincipalType()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubtype

          public String getSubtype()

      Gets the value of the subtype property.
      Returns:
        possible object is `String`

    - #### setSubtype

          public void setSubtype(String value)

      Sets the value of the subtype property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatus

          public String getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `String`

    - #### setStatus

          public void setStatus(String value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.